
module "avm-res-compute-disk" {
  source = "terraform-aws-modules/avm-res-compute-disk/aws"
  version = "0.1.0"
  create_option = var.create_option
  customer_managed_key = var.customer_managed_key
  disk_access_id = var.disk_access_id
  disk_encryption_set_id = var.disk_encryption_set_id
  disk_iops_read_only = var.disk_iops_read_only
  disk_iops_read_write = var.disk_iops_read_write
  disk_mbps_read_only = var.disk_mbps_read_only
  disk_mbps_read_write = var.disk_mbps_read_write
  disk_size_gb = var.disk_size_gb
  edge_zone = var.edge_zone
  enable_telemetry = var.enable_telemetry
  encryption_settings = var.encryption_settings
  gallery_image_reference_id = var.gallery_image_reference_id
  hyper_v_generation = var.hyper_v_generation
  image_reference_id = var.image_reference_id
  location = var.location
  lock = var.lock
  logical_sector_size = var.logical_sector_size
  max_shares = var.max_shares
  name = var.name
  network_access_policy = var.network_access_policy
  on_demand_bursting_enabled = var.on_demand_bursting_enabled
  optimized_frequent_attach_enabled = var.optimized_frequent_attach_enabled
  os_type = var.os_type
  performance_plus_enabled = var.performance_plus_enabled
  private_endpoints = var.private_endpoints
  private_endpoints_manage_dns_zone_group = var.private_endpoints_manage_dns_zone_group
  public_network_access_enabled = var.public_network_access_enabled
  resource_group_name = var.resource_group_name
  role_assignments = var.role_assignments
  secure_vm_disk_encryption_set_id = var.secure_vm_disk_encryption_set_id
  security_type = var.security_type
  source_resource_id = var.source_resource_id
  source_uri = var.source_uri
  storage_account_id = var.storage_account_id
  storage_account_type = var.storage_account_type
  tags = var.tags
  tier = var.tier
  trusted_launch_enabled = var.trusted_launch_enabled
  upload_size_bytes = var.upload_size_bytes
  zone = var.zone
}
